Get Wallets
curl --request GET \
--url https://api.hel.io/v1/wallet/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hel.io/v1/wallet/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hel.io/v1/wallet/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "65f1a2b3c4d5e6f7g8h9i0j1",
"publicKey": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"name": "Main Wallet",
"blockchainEngineType": "SOL",
"walletCategory": "CONNECTED",
"type": "EXTENSION",
"origin": "PHANTOM",
"createdAt": "2024-01-15T10:30:00.000Z"
},
{
"id": "65f1a2b3c4d5e6f7g8h9i0j2",
"publicKey": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
"name": "BTC Payout",
"blockchainEngineType": "BTC",
"walletCategory": "PAYOUT",
"createdAt": "2024-01-20T14:45:00.000Z"
}
]{
"message": "Api key or token is invalid",
"code": 401
}WALLET
Get Wallets
Returns all wallets linked to a merchant, including both connected and payout wallets, across supported blockchain networks.
GET
/
v1
/
wallet
/
all
Get Wallets
Note: When using the production environment at moonpay.hel.io, set your API endpoint to
api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.Authorizations
Authentication using JWT token
Query Parameters
API key can be generated on helio dashboard settings page
Response
Successfully retrieved merchant wallets.
Unique identifier of the wallet
Public address of the wallet
Blockchain engine the wallet is associated with
Example:
"SOL"
Category of the wallet
Example:
"CONNECTED"
Human-readable wallet name
Wallet type
Example:
"EXTENSION"
Wallet provider or origin
Example:
"PHANTOM"
ISO timestamp when the wallet was created
